cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist/{cidr_ip}/{cidr_mask} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Delete an IP allowlist entry.
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
allowlist
/
{cidr_ip}
/
{cidr_mask}
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist/{cidr_ip}/{cidr_mask} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

